Epoch: 2

%lib_package FLAC 7
%lib_package FLAC++ 5
%lib_package OggFLAC 3
%lib_package OggFLAC++ 2

%define	xmmsinputdir	%(xmms-config --input-plugin-dir)

Summary: An encoder/decoder for the Free Lossless Audio Codec.
Name: flac
Version: 1.1.2
Release: 25_11%{?dist}
License: GPL
Group: Applications/Multimedia
Source0: http://prdownloads.sourceforge.net/flac/flac-%{version}.tar.gz
Patch0: flac-1.1.2-save_http_path.patch
URL: http://flac.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-root
Requires: libogg
BuildRequires: gcc-c++
BuildRequires: autoconf, automake, libtool, gettext-devel
BuildRequires: xmms-devel >= 0.9.5.1, id3lib-devel, libogg-devel
BuildRequires: glib-devel, gtk+-devel
%ifarch %ix86
BuildRequires: nasm
%endif
%lib_dependencies

%description
FLAC stands for Free Lossless Audio Codec. Grossly oversimplified, FLAC is
similar to MP3, but lossless. The FLAC project consists of the stream format,
reference encoders and decoders in library form, flac, a command-line program
to encode and decode FLAC files, metaflac, a command-line metadata editor for
FLAC files and input plugins for various music players (the xmms plugin is
in a sub-package).

%package -n xmms-flac
Summary: X MultiMedia System plugin to play FLAC files.
Group: Applications/Multimedia
Requires: xmms >= 0.9.5.1, id3lib, %{name} = %{eversion}
Provides: flac-xmms = %{evr}
Obsoletes: flac-xmms <= %{eversion}

%description -n xmms-flac
An input plugin that enables playback of FLAC files in xmms.


%prep
%setup -q
%patch0 -p1

%build
libtoolize -f
autoreconf
CFLAGS="%{optflags} -fPIC -DPIC"
export CFLAGS
CXXFLAGS="%{optflags} -fPIC -DPIC"
export CXXFLAGS
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{xmmsinputdir}
%makeinstall \
	xmmsinputplugindir=%{buildroot}%{xmmsinputdir}
find doc/ -name "Makefile*" -exec rm -f {} \;

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING* README doc
%{_bindir}/flac
%{_bindir}/metaflac
%{_mandir}/man1/*

%files -n xmms-flac
%defattr(-,root,root,-)
%exclude %{xmmsinputdir}/*.la
%{xmmsinputdir}/*.so

%changelog
* Sun Nov 14 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Rename flac-xmms to xmms-flac ("Christopher V. Browne" <cvbrowne@brownetech.com>).

* Sun Oct  3 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.1.1.

* Tue Oct 14 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Add build dependencies on glib-devel, gtk+-devel.
- Reinclude *.la files.
- Rename flac-xmms -> xmms-flac.

* Mon Mar 31 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat Linux 9.
- Exclude .la files.
- Updated description.

* Tue Mar 11 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Fix nasm dep to be only for ix86.

* Mon Jan 27 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.1.0.

* Sun Jan  5 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt against the latest id3lib for the xmms plugin.

* Thu Oct 10 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Fixed location of include files, doh!

* Sat Sep 28 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat Linux 8.0.

* Thu Sep 25 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.0.4.
- Removed obsolete build patch, the xmms plugin builds cleanly at last!

* Thu Jul  4 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.0.3.

* Tue Apr 23 2002 Daniel Resare <noa@resare.com>
- Fixed plugin build when flac is not already installed

* Mon Apr  8 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Replaced the hard-coded xmms input path with an expansion.
- Fixed spec (License tag and redundant Group for devel package).
- Fixed defattr for the xmms plugin.

* Sat Apr  6 2002 Daniel Resare <noa@resare.com>
- Update to 1.0.2.
- Splitted out xmms plugin to a separate subpackage.

* Tue Nov 20 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.0.1.

* Sun Oct 21 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat 7.2 and added xmms dependency.

* Thu Aug 16 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Initial RPM release.
- You cannot rebuild this SRPM easily if you want the xmms plugin.

